<div class="growmatik-notice growmatik-notice-integration-success notice notice-success is-dismissible">
	<p>
		<?php
		printf(
			'<strong>%s</strong> &#8211; %s',
			esc_html__( 'Integration completed', 'growmatik' ),
			esc_html__( 'Congratulations! You have successfully integrated Growmatik with your website. Please be patient while we are synchronizing your website with Growmatik platform.', 'growmatik' )
		);
		?>
	</p>
	<p>
		<?php if ( \Growmatik\Admin\Health_Check::site_exists() ) : ?>
			<a class="button" id="growmatik-go-to-dashboard-button" href="<?php echo esc_url( sprintf( '%s/onboarding/success?site-id=%s', GROWMATIK_APP_URL, get_option( 'growmatik_site_id' ) ) ); ?>">
				<?php esc_html_e( 'Continue to Growmatik', 'growmatik' ); ?>
			</a>
		<?php else : ?>
			<button class="button" title="<?php esc_attr_e( 'Site has been removed.', 'growmatik' ); ?>" disabled>
				<?php esc_html_e( 'Continue to Growmatik', 'growmatik' ); ?>
			</button>
		<?php endif; ?>
	</p>
</div>
