<?php

define( 'GROWMATIK_VERSION', '1.6.0' );
define( 'GROWMATIK_SLUG', 'growmatik' );

define( 'GROWMATIK_PATH', plugin_dir_path( __FILE__ ) );
define( 'GROWMATIK_URL', plugin_dir_url( __FILE__ ) );

define( 'GROWMATIK_ADMIN_PATH', GROWMATIK_PATH . 'admin/' );
define( 'GROWMATIK_ADMIN_URL', GROWMATIK_URL . 'admin/' );

define( 'GROWMATIK_PUBLIC_ASSETS', GROWMATIK_URL . 'public/assets/dist/' );
define( 'GROWMATIK_ADMIN_ASSETS', GROWMATIK_ADMIN_URL . 'assets/dist/' );

if ( ! defined( 'GROWMATIK_SUFFIX' ) ) {
	define( 'GROWMATIK_SUFFIX', 'growmatik.ai' );
}

if ( ! defined( 'GROWMATIK_API_URL' ) ) {
	define( 'GROWMATIK_API_URL', 'https://api.' . GROWMATIK_SUFFIX );
}

if ( ! defined( 'GROWMATIK_APP_URL' ) ) {
	define( 'GROWMATIK_APP_URL', 'https://app.' . GROWMATIK_SUFFIX );
}

if ( ! defined( 'GROWMATIK_RULE_CLIENT_URL' ) ) {
	define( 'GROWMATIK_RULE_CLIENT_URL', '//executor.' . GROWMATIK_SUFFIX . '/if-then.min.js' );
}

if ( ! defined( 'GROWMATIK_TOKEN_VERIFY_DEBUG' ) ) {
	define( 'GROWMATIK_TOKEN_VERIFY_DEBUG', 'no' );
}

if ( ! defined( 'GROWMATIK_APP_ENV' ) ) {
	define( 'GROWMATIK_APP_ENV', 'prod' );
}
